<script setup lang="ts">
import { type Product, getImageUrl } from '@/types/Product'
const props = defineProps<{
  product: Product
}>()
const emit = defineEmits<{
  selectedProduct: [Product]
}>()
const selected = function () {
  emit('selectedProduct', props.product)
}
</script>

<template>
  <v-sheet width="165" height="165" elevation="3" @click="selected">
    <v-img min-width="100" height="100" cover :src="getImageUrl(product)"></v-img>
    <div style="text-align: center">{{ product.name }} {{ product.price }} ฿</div>
  </v-sheet>
</template>
